using System.Collections.Generic;
using System.Reflection;

namespace Apaya.Connector.Template.Helpers
{
    public static class DictionaryHelper
    {
        private static Dictionary<string, string> ObjectToDictionary(object obj)
        {
            Dictionary<string, string> dictionary = new Dictionary<string, string>();
            foreach (PropertyInfo property in obj.GetType().GetProperties())
            {
                dictionary.Add(property.Name, property.GetValue(obj).ToString());
            }

            return dictionary;
        }
    }
}