using System;

namespace Apaya.Connector.Template.Helpers.SignatureHelper
{
    [AttributeUsage(AttributeTargets.Property)]
    public class IgnoreOnSignatureCalculationAttribute : Attribute
    {
        public IgnoreOnSignatureCalculationAttribute(bool ignoreOnSignatureCalculation) =>
            this.IgnoreOnSignatureCalculation = ignoreOnSignatureCalculation;

        public bool IgnoreOnSignatureCalculation { get; set; }
    }
}