using System;
using System.Runtime.Serialization;

namespace Apaya.Connector.Template.Helpers.SignatureHelper
{
    public class SignatureException : Exception
    {
        public SignatureException()
        {
        }

        public SignatureException(string message)
            : base(message)
        {
        }

        public SignatureException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        protected SignatureException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        public SignatureException(Exception innerException)
            : base(innerException.Message, innerException)
        {
        }
    }
}