﻿using Newtonsoft.Json;
using System;
using System.Reflection;

namespace Apaya.Connector.Template.Models.Refunds
{
    // Example Connector Request payload
    public class RefundRequest
    {
        [JsonProperty(PropertyName = "charge_id")]
        public string ChargeId { get; set; }

        [JsonProperty(PropertyName = "amount")]
        public decimal Amount { get; set; }

        [JsonProperty(PropertyName = "currency")]
        public string Currency { get; set; }

        [JsonProperty(PropertyName = "reason")]
        public string Reason { get; set; }

        [JsonProperty(PropertyName = "post")]
        public Post Post { get; set; }
    }
}
