﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace Apaya.Connector.Template.Models.Tokens
{
    // Example Connector Request payloads
    public class CardTokenRequest
    {
        [JsonProperty(PropertyName = "card")]
        public CardTokenRequestObject card { get; set; }

        [JsonProperty(PropertyName = "client_ip")]
        public string client_ip { get; set; }
    }

    public class CardTokenRequestObject
    {
        [JsonProperty(PropertyName = "number")]
        public long number { get; set; }

        [JsonProperty(PropertyName = "exp_month")]
        public int exp_month { get; set; }

        [JsonProperty(PropertyName = "exp_year")]
        public int exp_year { get; set; }

        [JsonProperty(PropertyName = "cvc")]
        public int cvc { get; set; }

        [JsonProperty(PropertyName = "name")]
        public string name { get; set; }

        [JsonProperty(PropertyName = "address")]
        public Address address { get; set; }
    }
}
