﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Apaya.Connector.Template.Models.Tokens
{
    // Example Connector Request payloads
    public class SavedCardTokenRequest
    {
        [JsonProperty(PropertyName = "saved_card")]
        public Saved_Card saved_card { get; set; }

        [JsonProperty(PropertyName = "client_ip")]
        public string client_ip { get; set; }
    }

    public class Saved_Card
    {
        [JsonProperty(PropertyName = "card_id")]
        public string card_id { get; set; }

        [JsonProperty(PropertyName = "customer_id")]
        public string customer_id { get; set; }
    }
}
