namespace Apaya.Connector.Template.Helpers
{
    public static class ExpiryDateHelper
    {
        public static string BuildExpiryDate(int expiryYear, int expiryMonth)
        {
            if (expiryYear.ToString().Length == 4)
                expiryYear %= 100;
            if (expiryMonth != 11 && expiryMonth != 12)
                return string.Concat(expiryYear, "0", expiryMonth);
            return string.Concat(expiryYear, expiryMonth);
        }
    }
}