﻿using Newtonsoft.Json;
using System;


namespace Apaya.Connector.Template.Models.Charge
{
    // Example Connector Request payload
    public class ChargeRequest
    {
        [JsonProperty(PropertyName = "amount")]
        public int Amount { get; set; }

        [JsonProperty(PropertyName = "currency")]
        public string Currency { get; set; }

        [JsonProperty(PropertyName = "threeDSecure")]
        public bool ThreeDSecure { get; set; }

        [JsonProperty(PropertyName = "save_card")]
        public bool Save_card { get; set; }

        [JsonProperty(PropertyName = "description")]
        public string Description { get; set; }

        [JsonProperty(PropertyName = "reference")]
        public Reference Reference { get; set; }

        [JsonProperty(PropertyName = "receipt")]
        public Receipt Receipt { get; set; }

        [JsonProperty(PropertyName = "customer")]
        public Customer Customer { get; set; }

        [JsonProperty(PropertyName = "source")]
        public Source Source { get; set; }

        [JsonProperty(PropertyName = "post")]
        public Post Post { get; set; }

        [JsonProperty(PropertyName = "redirect")]
        public Redirect Redirect { get; set; }

        [JsonProperty(PropertyName = "metadata")]
        public Dictionary<string, string> Metadata { get; set; }

        [JsonProperty(PropertyName = "merchant")]
        public Merchant Merchant { get; set; }
    }
}
